User: Password:
|
|
Subscribe / Log in / New account

kimgio input validation errors

Package(s):kimgio CVE #(s):CAN-2005-1046
Created:April 22, 2005 Updated:July 19, 2005
Description: KDE has issued a security advisory for kimgio. This is found in kdelibs as shipped with KDE 3.2 up to including KDE 3.4. kimgio contains a PCX image file format reader that does not properly perform input validation. A source code audit performed by the KDE security team discovered several vulnerabilities in the PCX and other image file format readers, some of them exploitable to execute arbitrary code.
Alerts:
Ubuntu USN-114-2 kdelibs 2005-05-27
Red Hat RHSA-2005:393-01 kdelibs 2005-05-17
Mandriva MDKSA-2005:085 kdelibs 2005-05-12
Ubuntu USN-114-1 kdelibs 2005-05-03
Fedora FEDORA-2005-350 kdelibs 2005-05-02
Debian DSA-714-1 kdelibs 2005-04-26
Gentoo 200504-22 kimgio 2005-04-22

(Log in to post comments)


Copyright © 2017, Eklektix, Inc.
Comments and public postings are copyrighted by their creators.
Linux is a registered trademark of Linus Torvalds